Summary:	A userspace library for connection tracking helpers
Summary(pl.UTF-8):	Biblioteka przestrzeni użytkownika dla modułów śledzących stan połączeń
Name:		libnetfilter_cthelper
Version:	1.0.0
Release:	1
License:	GPL v2+
Group:		Libraries
Source0:	http://www.netfilter.org/projects/libnetfilter_cthelper/files/%{name}-%{version}.tar.bz2
# Source0-md5:	b2efab1a3a198a5add448960ba011acd
URL:		http://www.netfilter.org/projects/libnetfilter_cthelper/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1.6
BuildRequires:	libmnl-devel >= 1.0.0
BuildRequires:	libtool >= 2:2.0
BuildRequires:	pkgconfig >= 1:0.9.0
Requires:	libmnl >= 1.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Connection tracking helpers allows you to filter multi-flow protocols
that usually separate control and data traffic into different flows.
This is the case of application protocols like FTP, SIP and H.323 that
are already supported by Netfilter. These helpers are implemented in
kernel-space. libnetfilter_cthelper allows to implement helpers in
userspace (supported by Linux 3.6+).

%description -l pl.UTF-8
Moduły pomocnicze śledzące stan połączeń (connection tracking helpers)
pozwalają na filtrowanie protokołów wielopołączeniowych, zwykle
rozdzielających ruch sterujący i dane. Tak jest w przypadku protokołów
aplikacyjnych, jak FTP, SIP i H.323, już obsługiwanych przez
Netfilter. Moduły śledzenia tych połączeń są zaimplementowane w
przestrzeni jądra. libnetfilter_cthelper pozwala na implementowanie
takich modułów pomocniczych w przestrzeni użytkownika (wymaga to
Linuksa w wersji 3.6 lub nowszej).

%package devel
Summary:	Header files for libnetfilter_cthelper library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libnetfilter_cthelper
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libmnl-devel >= 1.0.0

%description devel
Header files for libnetfilter_cthelper library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libnetfilter_cthelper.

%package static
Summary:	Static libnetfilter_cthelper library
Summary(pl.UTF-8):	Statyczna biblioteka libnetfilter_cthelper
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libnetfilter_cthelper library.

%description static -l pl.UTF-8
Statyczna biblioteka libnetfilter_cthelper.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	--enable-static
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_libdir}/libnetfilter_cthelper.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libnetfilter_cthelper.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libnetfilter_cthelper.so
%{_libdir}/libnetfilter_cthelper.la
%{_includedir}/libnetfilter_cthelper
%{_pkgconfigdir}/libnetfilter_cthelper.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libnetfilter_cthelper.a
%changelog
* Wed Oct 10 2012 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libnetfilter_cthelper.git;a=log;h=master

* Wed Oct 10 2012 Jakub Bogusz <qboosh@pld-linux.org> c100a5b
- Linux 3.6+ notice

* Wed Oct 10 2012 Jakub Bogusz <qboosh@pld-linux.org> 1722dd7
- new

